Contents

# Write# Statement

Writes data to a sequential text file with delimiting characters.

Use Print# statement to print data to a sequential text file. Use Put# statement to write data to a binary or a random file.

### Syntax:

    Write [#fileNum] {,|;} expression [, …]

### Parameters:

fileNum: Any numeric expression that contains the file number that was set by the Open statement for the respective file.

expression list: Variables or expressions that you want to enter in a file, separated by commas.

Himannon tarree yoo bade Barreessuu himni faayiilii duwwaattii miiltaha.

Tarree himannoo faayilii haaratii ykn kan jirutti ida'uuf, faayiliin haalata kana keessatti Output ykn Append banamuu qaba.

Diraan ati barreessite mallattoo waraabbii keessatti fi qoodduun gargar baha.Daangessaa kana tarree himannoo keessa galchuu hin qabdu.

Tokkoon tokkoo Barreessuu Hima bahaa sarara mallattoo xumuraa akka galfata dhumaati

Lakkofsi kurnyee daangessaa akka qindaa'ina gitoo biyyatti jijjirama.

### Example:

      Sub ExampleWrite
          Dim iCount As Integer
          Dim sValue As String
          iCount = Freefile
          Open "C:\Users\ThisUser\data.txt" For Output As iCount
          sValue = "Hamburg"
          Write #iCount,sValue,200
          sValue = "New York"
          Write #iCount,sValue,300
          sValue = "Miami"
          Write #iCount,sValue,450
          Close #iCount
      End Sub

      Sub ExampleWrite
          Dim iCount As Integer
          Dim sValue As String
          iCount = Freefile
          Open "~/data.txt" For Output As iCount
          sValue = "Hamburg"
          Write #iCount,sValue,200
          sValue = "New York"
          Write #iCount,sValue,300
          sValue = "Miami"
          Write #iCount,sValue,450
          Close #iCount
      End Sub

Matadureewwan Walfakkatan

Open Statement

Print# Statement

Put# Statement

Close Statement